VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | Events
VisimBox.Renderer.IRenderMaterial Interface Reference

Interface for render material. More...

Inheritance diagram for VisimBox.Renderer.IRenderMaterial:

List of all members.

## Public Member Functions
IRenderMaterial | CreateCopy (string newname)
| Creates copy of self with new name.
bool | HasColorElement (MaterialElement element)
| Returns true if material contains specified color element.
bool | HasTextureElement (MaterialElement element)
| Returns true if material contains specified texture element.
ColorByte | GetColorElement (MaterialElement element)
| Returns value of specified color element (or white if it doesn't contain this)
Texture | GetTextureElement (MaterialElement element)
| Returns texture on specified element (or null)
void | SetColorElement (MaterialElement element, ColorByte color)
| Sets value of specified color element (if supported by material)
void | SetTextureElement (MaterialElement element, Texture tex)
| Sets value of specified texture element (if supported by material)
void | Activate (RendererEventArgs args)
| Activate material for rendering (called by the renderer when using material)
## Properties
RenderMaterialType | MaterialType`[get]`
| Basic type of material.
string | Name`[get, set]`
| Name of the material.
string | Description`[get, set]`
| Description of the material.
bool | HasAlpha`[get, set]`
| Does material contain alpha values? (transparency) Required for renderer for correct drawing (alpha materials must be drawn last, in reverse order back to front as opposed to normal materials)
## Events
RendererEvent | Activating
| This event is fired on the activation of the material - for user code for time changing materials.

## Detailed Description

Interface for render material.

## Member Function Documentation

void VisimBox.Renderer.IRenderMaterial.Activate | ( | RendererEventArgs | args | ) |

Activate material for rendering (called by the renderer when using material)

Parameters:

  args | Renderer arguments

Implemented in VisimBox.Renderer.RenderMaterial.

IRenderMaterial VisimBox.Renderer.IRenderMaterial.CreateCopy | ( | string | newname | ) |

Creates copy of self with new name.

Parameters:

  newname | name for the copy

Returns:
  new material

Implemented in VisimBox.Renderer.RenderMaterial, VisimRenderGL.GLMaterialSimpleColor, VisimRenderGL.GLMaterialSimpleTex, VisimRenderGL.GLMaterialColored, and VisimRenderGL.GLMaterialColoredTex.

ColorByte VisimBox.Renderer.IRenderMaterial.GetColorElement | ( | MaterialElement | element | ) |

Returns value of specified color element (or white if it doesn't contain this)

Parameters:

  element | Element type

Returns:
  Color value

Implemented in VisimBox.Renderer.RenderMaterial, VisimRenderGL.GLMaterialSimpleColor, VisimRenderGL.GLMaterialSimpleTex, and VisimRenderGL.GLMaterialColored.

Texture VisimBox.Renderer.IRenderMaterial.GetTextureElement | ( | MaterialElement | element | ) |

Returns texture on specified element (or null)

Parameters:

  element | Element type

Returns:
  Texture object

Implemented in VisimBox.Renderer.RenderMaterial, VisimRenderGL.GLMaterialSimpleColor, VisimRenderGL.GLMaterialSimpleTex, VisimRenderGL.GLMaterialColored, and VisimRenderGL.GLMaterialColoredTex.

bool VisimBox.Renderer.IRenderMaterial.HasColorElement | ( | MaterialElement | element | ) |

Returns true if material contains specified color element.

Parameters:

  element | element type

Returns:
  True if material has this type of element

Implemented in VisimBox.Renderer.RenderMaterial, VisimRenderGL.GLMaterialSimpleColor, VisimRenderGL.GLMaterialSimpleTex, and VisimRenderGL.GLMaterialColored.

bool VisimBox.Renderer.IRenderMaterial.HasTextureElement | ( | MaterialElement | element | ) |

Returns true if material contains specified texture element.

Parameters:

  element | element type

Returns:
  True if material has this type of element

Implemented in VisimBox.Renderer.RenderMaterial, VisimRenderGL.GLMaterialSimpleColor, VisimRenderGL.GLMaterialSimpleTex, VisimRenderGL.GLMaterialColored, and VisimRenderGL.GLMaterialColoredTex.

void VisimBox.Renderer.IRenderMaterial.SetColorElement | ( | MaterialElement | element,
|  | ColorByte | color
| ) |  |

Sets value of specified color element (if supported by material)

Parameters:

  element | Element type
  color | Color value

Implemented in VisimBox.Renderer.RenderMaterial, VisimRenderGL.GLMaterialSimpleColor, VisimRenderGL.GLMaterialSimpleTex, and VisimRenderGL.GLMaterialColored.

void VisimBox.Renderer.IRenderMaterial.SetTextureElement | ( | MaterialElement | element,
|  | Texture | tex
| ) |  |

Sets value of specified texture element (if supported by material)

Parameters:

  element | Element type
  tex | Texture value

Implemented in VisimBox.Renderer.RenderMaterial, VisimRenderGL.GLMaterialSimpleColor, VisimRenderGL.GLMaterialSimpleTex, VisimRenderGL.GLMaterialColored, and VisimRenderGL.GLMaterialColoredTex.

## Property Documentation

string VisimBox.Renderer.IRenderMaterial.Description`[get, set]`

Description of the material.

Implemented in VisimBox.Renderer.RenderMaterial.

bool VisimBox.Renderer.IRenderMaterial.HasAlpha`[get, set]`

Does material contain alpha values? (transparency) Required for renderer for correct drawing (alpha materials must be drawn last, in reverse order back to front as opposed to normal materials)

Implemented in VisimBox.Renderer.RenderMaterial.

RenderMaterialType VisimBox.Renderer.IRenderMaterial.MaterialType`[get]`

Basic type of material.

Implemented in VisimBox.Renderer.RenderMaterial.

string VisimBox.Renderer.IRenderMaterial.Name`[get, set]`

Name of the material.

Implemented in VisimBox.Renderer.RenderMaterial.

## Event Documentation

RendererEvent VisimBox.Renderer.IRenderMaterial.Activating

This event is fired on the activation of the material - for user code for time changing materials.

Implemented in VisimBox.Renderer.RenderMaterial.

The documentation for this interface was generated from the following file:

- Materials.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events